Bug 748850 - yum tracebacks when package with ® in name is installed
yum tracebacks when package with ® in name is installed
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: yum (Show other bugs)
5.7
All Linux
high Severity medium
: rc
: ---
Assigned To: packaging-team-maint
BaseOS QE Security Team
: Patch
Depends On: 701344
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-25 09:56 EDT by Michael Mráka
Modified: 2014-01-21 01:24 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 701344
Environment:
Last Closed: 2013-03-18 08:48:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Comment 2 RHEL Product and Program Management 2012-06-11 21:28:17 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated in the
current release, Red Hat is unfortunately unable to address this
request at this time. Red Hat invites you to ask your support
representative to propose this request, if appropriate and relevant,
in the next release of Red Hat Enterprise Linux.
Comment 3 Zdeněk Pavlas 2013-03-18 08:48:16 EDT
Yum has never supported non-ascii package names.  Internally, it's mostly ok to use whatever binary strings, but it's the UI that uses unicode that breaks things.

In theory, a bunch of to_unicode() calls in output.py (and probably in few other places as well) may fix this, but I'm not sure it's worth it.  Maybe upstream, but probably not in EL5.

Note You need to log in before you can comment on or make changes to this bug.